Bug 739179 - plymouth -> X hand-off is muffed in F16 Beta RC1
plymouth -> X hand-off is muffed in F16 Beta RC1
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: plymouth (Show other bugs)
16
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
AcceptedNTH
:
Depends On:
Blocks: F16-accepted/F16FinalFreezeExcept
  Show dependency treegraph
 
Reported: 2011-09-16 13:22 EDT by Adam Williamson
Modified: 2013-02-13 16:44 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 16:44:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2011-09-16 13:22:46 EDT
In F16 Beta RC1, X comes up for the first time on tty2; tty1 shows the end of the boot messages and does not have a login prompt. tty3 is the first usable text console.

After one restart of X, tty1 still shows the boot log, tty2 shows a blinking cursor and nothing more, tty3 has X, and tty4 is the first usable text console.

I haven't tried starting up, logging in to tty3, *then* triggering an X restart to see if it kills what's happening on tty3, but it seems like it might.

Beta blocker, per criterion "When booting a system installed without a graphical environment, or when using a correct configuration setting to cause an installed system to boot in non-graphical mode, the system should provide a working login prompt without any unintended user intervention when boot is complete, and all virtual consoles intended to provide a working login prompt should do so".
Comment 1 Adam Williamson 2011-09-16 13:31:35 EDT
actually, as this is X-plymouth handoff, it doesn't infringe that criterion. phew. still worth looking at, propose for NTH instead.
Comment 2 Adam Williamson 2011-09-16 14:25:49 EDT
note I tested the above with live, it may or may not be the same on an installed system.
Comment 3 Tim Flink 2011-09-16 22:37:37 EDT
Discussed in the 2011-09-16 blocker review meeting. Rejected as NTH for Fedora 16 beta since the symptoms aren't that serious and it's a little close to beta release to be taking in a fix for this.

Accepted as NTH for Fedora 16 final because it would be nice to have this fixed as it isn't behaving as expected.
Comment 4 Fedora End Of Life 2013-01-16 12:15:28 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 16:44:37 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.